Public Class FontNames

    Private Sub FontNames_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

    End Sub

    Private Sub FontNames_Paint(ByVal sender As Object, ByVal e As System.Windows.Forms.PaintEventArgs) Handles Me.Paint
        Dim grfx As Graphics = e.Graphics

        Dim astrFonts() As String = {"Courier New", "Arial", "Times New Roman"}

        Dim afs() As FontStyle = {FontStyle.Regular, FontStyle.Bold, FontStyle.Italic, FontStyle.Bold Or FontStyle.Italic}

        Dim brush As Brush = New SolidBrush(Color.Black)
        Dim y As Single = 0

        Dim strFont As String
        For Each strFont In astrFonts
            Dim fs As FontStyle
            For Each fs In afs
                Dim font As Font = New Font(strFont, 18, fs)
                grfx.DrawString(strFont, font, brush, 0, y)
                y += font.GetHeight(grfx)
            Next
        Next
    End Sub
End Class